# $Revision: 1.43 $, $Date: 2010/08/21 19:09:11 $
%include	/usr/lib/rpm/macros.php
%define		_class		I18Nv2
%define		_status		beta
%define		_pearname	%{_class}
Summary:	%{_pearname} - internationalization
Summary(pl.UTF-8):	%{_pearname} - umiędzynarodowienie
Name:		php-pear-%{_pearname}
Version:	0.11.4
Release:	4
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d8679404737a85e7a36b5018b1abf156
URL:		http://pear.php.net/package/I18Nv2/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.0.6
Requires:	php-iconv
Requires:	php-pcre
Requires:	php-pear
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides basic support to localize your application, like
locale based formatting of dates, numbers and currency.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa dostarcza podstawowego wsparcia do lokalizacji aplikacji,
takich jak formatowanie dat, liczb czy walut na podstawie locale.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}.php
%{php_pear_dir}/%{_class}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-I18Nv2.spec,v $
Revision 1.43  2010/08/21 19:09:11  glen
- updated deps with pearize.sh
- release 4

Revision 1.42  2008/01/31 12:16:49  glen
- rel 3

Revision 1.41  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.39  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.38  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.37  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.36  2006/04/02 11:21:48  glen
- 0.11.4

Revision 1.35  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.34  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.33  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.32  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.31  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.30  2005/10/27 18:43:44  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.29  2005/10/05 20:11:06  glen
- rel 3

Revision 1.28  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.27  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.26  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.25  2005/09/27 20:05:38  glen
- new pear packaging (fixed %files); rel 2

Revision 1.24  2005/03/27 01:03:42  adamg
- updated to 0.11.3

Revision 1.23  2005/02/21 20:50:56  adamg
- updated to 0.11.1

Revision 1.22  2005/02/05 19:40:07  adamg
- updated to 0.11.0

Revision 1.21  2005/01/05 10:19:28  adamg
- updated to 0.10.0

Revision 1.20  2004/12/05 14:35:01  adamg
- updated to 0.9.3

Revision 1.19  2004/12/03 22:17:02  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.18  2004/11/01 16:44:12  adamg
- updated to 0.9.1

Revision 1.17  2004/10/30 06:52:39  adamg
- updated to 0.9.0

Revision 1.16  2004/10/24 18:31:00  paladine
- spelling fixes, uppercases, etc.

Revision 1.15  2004/10/05 14:29:18  adamg
- updated to 0.8.0

Revision 1.14  2004/08/21 16:25:31  adamg
- updated to 0.7.1

Revision 1.13  2004/08/09 19:34:25  havner
- rel 2

Revision 1.12  2004/06/03 11:12:53  adamg
- updated to 0.7.0

Revision 1.11  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.10  2004/05/04 07:08:16  adamg
- updated to 0.6.0

Revision 1.9  2004/05/02 13:16:27  adamg
- added missing DecoratedList file/dir

Revision 1.8  2004/05/01 17:28:29  adamg
- updated to 0.5.0

Revision 1.7  2004/04/16 21:01:07  adamg
- added missing Country directory

Revision 1.6  2004/04/16 20:46:39  adamg
- updated to 0.4.0

Revision 1.5  2004/04/15 09:48:47  adamg
- updated to 0.3.0

Revision 1.4  2004/03/28 09:25:48  adamg
- updated to 0.2.0

Revision 1.3  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.2  2004/03/13 13:12:11  adamg
- fixed URL

Revision 1.1  2004/03/10 22:21:31  adamg
- initial import
